%global hghash ba2ef38afd2c
Name:          jol
Version:       0.6
Release:       1%{?dist}
Summary:       Java Object Layout
License:       GPLv2 with exceptions
# https://bugs.openjdk.java.net
URL:           http://openjdk.java.net/projects/code-tools/jol/
Source0:       http://hg.openjdk.java.net/code-tools/jol/archive/%{hghash}.tar.bz2
Source1:       jol-cli.xml
Source2:       JOL-Incorrect_Free_Software_Foundation_address.eml

BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: libxslt
BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.sf.jopt-simple:jopt-simple)
BuildRequires: mvn(org.apache.maven.plugins:maven-shade-plugin)
BuildRequires: mvn(org.ow2.asm:asm)

BuildArch:     noarch

%description
JOL is the set of tools for examining field and object layouts in JVM.

%package cli
Summary:       JOL Command Line Interface

%description cli
Java Object Layout: Command Line Interface.

%package parent
Summary:       JOL Parent POM

%description parent
Java Object Layout: Parent POM.

%package samples
Summary:       JOL Samples
# BSD jol-samples/src/main/java/
License:       BSD

%description samples
Java Object Layout: Samples.

%package javadoc
Summary:       Javadoc for %{name}
License:       BSD and GPLv2 with exceptions

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{hghash}

%pom_remove_plugin -r :maven-shade-plugin %{name}-cli
%pom_remove_plugin -r :maven-license-plugin
%pom_remove_plugin -r :maven-source-plugin
%pom_xpath_remove -r "pom:plugin[pom:artifactId = 'maven-javadoc-plugin']/pom:executions"

# Sent an email to Aleksey Shipilev <aleksey[dot]shipilev[at]oracle[dot]com> SOURCE2
sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301,"  $(find -name "LICENSE") src/license/gpl_cpe/license.txt

%build
# Test consume most of the resources
%mvn_build -s

xsltproc \
 --nonet --stringparam man.output.quietly 1 \
 --stringparam funcsynopsis.style ansi \
 --stringparam man.authors.section.enabled 0 \
 --stringparam man.copyright.section.enabled 0 \
 /usr/share/sgml/docbook/xsl-stylesheets/manpages/docbook.xsl %{SOURCE1}

%install
%mvn_install

%jpackage_script org.openjdk.jol.Main "" "" %{name}/%{name}-core:%{name}/%{name}-cli:jopt-simple %{name}-cli true

mkdir -p %{buildroot}%{_mandir}/man1
install -pm 644 %{name}-cli.1 %{buildroot}%{_mandir}/man1/

%files -f .mfiles-%{name}-core
%doc README
%license %{name}-core/LICENSE

%files cli -f .mfiles-%{name}-cli
%{_bindir}/*
%{_mandir}/man1/*
%license %{name}-cli/LICENSE

%files parent -f .mfiles-%{name}-parent
%license LICENSE src/license/gpl_cpe

%files samples -f .mfiles-%{name}-samples
%license %{name}-samples/LICENSE src/license/bsd/*

%files javadoc -f .mfiles-javadoc
%license LICENSE src/license/{bsd,gpl_cpe}

%changelog
* Wed Sep 21 2016 gil cattaneo <puntogil@libero.it> 0.6-1
- update to 0.6

* Sun Apr 10 2016 gil cattaneo <puntogil@libero.it> 0.4-1
- update to 0.4

* Sat May 16 2015 gil cattaneo <puntogil@libero.it> 0.3.2-1
- initial rpm
